Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetAccountingPeriod

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.inet.common.bean.InetAccountingPeriod

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `Idable`

    public class InetAccountingPeriod
    extends Id
    implements java.lang.Cloneable

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InetAccountingPeriod()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `InetAccountingPeriod` | `clone()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getUserId()` |
  `boolean` | `isActive()` |
  `static void` | `main​(java.lang.String[] args)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setUserId​(int userId)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetAccountingPeriod

    public InetAccountingPeriod()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### isActive

    public boolean isActive()

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### main

    public static void main​(java.lang.String[] args)

  - ### clone

    public InetAccountingPeriod clone()
    Overrides:
      `clone` in class `java.lang.Object`